from enum import Enum


class RubricName(Enum):
    COMMON = "common"
    AUTO = "auto"
    REALTY = "realty"


class OrderSize(Enum):
    SMALL = "small"
    BIG = "big"
    VERY_BIG = "very_big"


class CreativeType(Enum):
    BILLBOARD = "billboard"
    PIN = "pin"
    BANNER = "banner"
    TEXT = "text"
    ICON = "icon"
    PIN_SEARCH = "pin_search"
    LOGO_AND_TEXT = "logo_and_text"
    VIA_POINT = "via_point"
    AUDIO_BANNER = "audio_banner"


class CpmCoefFieldType(Enum):
    CREATIVE = "creative"
    RUBRIC = "rubric"
    TARGETING = "targeting"
    MONTHLY = "monthly"


class TargetingCriterion(Enum):
    AGE = "age"
    GENDER = "gender"
    INCOME = "income"
    AUDIENCE = "audience"
    SEGMENT = "segment"
